{#- For name header -#}
#ifndef {{ name|upper }}_LAYER_H
#define {{ name|upper }}_LAYER_H

/* Slice layer */
{% include "./_meminfo.jinja" %}

{# For layer configuration -#}
#define {{ name|upper }}_NB_CHANNELS {{ nb_in }}
#define {{ name|upper }}_NB_OUTPUTS {{ nb_out }}

#define {{ name|upper }}_NB_AXES {{ axes|length }}
static const int {{ name|upper }}_AXES[] = { {{ axes | join(', ') }} };
static const int {{ name|upper }}_STARTS[] = { {{ starts | join(', ') }} };
static const int {{ name|upper }}_ENDS[] = { {{ ends | join(', ') }} };

#endif /* {{ name|upper }}_LAYER_H */
